### File

`packages/components/layout/eui-header/header-user-profile/header-user-profile.component.ts`

### Implements

`AfterContentInit` `AfterViewInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-header-user-profile`
imports | `EUI_USER_PROFILE`
templateUrl | `./header-user-profile.component.html`
styleUrl | `./header-user-profile.component.scss`

### Index

###### Properties
cssClass hasMenuContent userProfile
###### Methods
Public closeUserProfileDropdown
###### Inputs
avatarUrl hasTabNavigation hasWelcomeLabel impersonateLabel isShowAvatarInitials isShowUserInfos subInfos welcomeLabel
###### HostBindings
class

### Inputs

avatarUrl
Type : `string`

hasTabNavigation
Type : `boolean`
Default value : `false`

hasWelcomeLabel
Type : `boolean`
Default value : `true`

impersonateLabel
Type : `string`
Default value : `'acting as'`

isShowAvatarInitials
Type : `boolean`
Default value : `false`

isShowUserInfos
Type : `boolean`
Default value : `true`

subInfos
Type : `string`

welcomeLabel
Type : `string`
Default value : `'Welcome'`

### HostBindings

class
Type : `string`
Default value : `'eui-header-user-profile'`

### Methods

Public closeUserProfileDropdown
`closeUserProfileDropdown()`
Closes the user profile dropdown menu if it is open. Ensure calling this after the ngAfterViewInit lifecycle hook to ensure the userProfile component is initialized. Returns : `void`

### Properties

cssClass
Type : `string`
Default value : `'eui-header-user-profile'`
Decorators : `@HostBinding('class')`

hasMenuContent
Type : `QueryList<EuiUserProfileMenuComponent>`
Decorators : `@ContentChildren(undefined, {descendants: true})`

userProfile
Type : `EuiUserProfileComponent`
Decorators : `@ViewChild('userProfile')`

# results matching ""

# No results matching ""